org.apache.tinkerpop.gremlin.structure.io.graphson

## Class JsonParserConcat

- java.lang.Object
- - org.apache.tinkerpop.shaded.jackson.core.JsonParser
  - - org.apache.tinkerpop.shaded.jackson.core.util.JsonParserDelegate
    - - org.apache.tinkerpop.shaded.jackson.core.util.JsonParserSequence
      - - org.apache.tinkerpop.gremlin.structure.io.graphson.JsonParserConcat

- All Implemented Interfaces:
    Closeable, AutoCloseable, org.apache.tinkerpop.shaded.jackson.core.Versioned

      public class JsonParserConcat
      extends org.apache.tinkerpop.shaded.jackson.core.util.JsonParserSequence

  Utility class to easily concatenate multiple JsonParsers. This class had to be implemented because the class it is extending, `JsonParserSequence`, inevitably skips a token when switching from one empty parser to a new one. I.e. it is automatically calling `JsonParser.nextToken()` when switching to the new parser, ignoring the current token. This class is used for high performance in GraphSON when trying to detect types.
  Author:
    Kevin Gallardo (https://kgdo.me)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.shaded.jackson.core.JsonParser

      `org.apache.tinkerpop.shaded.jackson.core.JsonParser.Feature, org.apache.tinkerpop.shaded.jackson.core.JsonParser.NumberType`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.shaded.jackson.core.util.JsonParserSequence

      `_checkForExistingToken, _hasToken, _nextParserIndex, _parsers`

    - ### Fields inherited from class org.apache.tinkerpop.shaded.jackson.core.util.JsonParserDelegate

      `delegate`

    - ### Fields inherited from class org.apache.tinkerpop.shaded.jackson.core.JsonParser

      `_features, _requestPayload`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JsonParserConcat(org.apache.tinkerpop.shaded.jackson.core.JsonParser[] parsers)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JsonParserConcat` | `createFlattened(org.apache.tinkerpop.shaded.jackson.core.JsonParser first, org.apache.tinkerpop.shaded.jackson.core.JsonParser second)`
    `org.apache.tinkerpop.shaded.jackson.core.JsonToken` | `nextToken()`

    - ### Methods inherited from class org.apache.tinkerpop.shaded.jackson.core.util.JsonParserSequence

      `addFlattenedActiveParsers, close, containedParsersCount, createFlattened, skipChildren, switchAndReturnNext, switchToNext`

    - ### Methods inherited from class org.apache.tinkerpop.shaded.jackson.core.util.JsonParserDelegate

      `canReadObjectId, canReadTypeId, canUseSchema, clearCurrentToken, currentToken, currentTokenId, delegate, disable, enable, finishToken, getBigIntegerValue, getBinaryValue, getBooleanValue, getByteValue, getCodec, getCurrentLocation, getCurrentName, getCurrentToken, getCurrentTokenId, getCurrentValue, getDecimalValue, getDoubleValue, getEmbeddedObject, getFeatureMask, getFloatValue, getInputSource, getIntValue, getLastClearedToken, getLongValue, getNumberType, getNumberValue, getObjectId, getParsingContext, getSchema, getShortValue, getText, getText, getTextCharacters, getTextLength, getTextOffset, getTokenLocation, getTypeId, getValueAsBoolean, getValueAsBoolean, getValueAsDouble, getValueAsDouble, getValueAsInt, getValueAsInt, getValueAsLong, getValueAsLong, getValueAsString, getValueAsString, hasCurrentToken, hasTextCharacters, hasToken, hasTokenId, isClosed, isEnabled, isExpectedStartArrayToken, isExpectedStartObjectToken, isNaN, nextValue, overrideCurrentName, overrideFormatFeatures, overrideStdFeatures, readBinaryValue, requiresCustomCodec, setCodec, setCurrentValue, setFeatureMask, setSchema, version`

    - ### Methods inherited from class org.apache.tinkerpop.shaded.jackson.core.JsonParser

      `_codec, _constructError, _reportUnsupportedOperation, canParseAsync, configure, currentName, getBinaryValue, getFormatFeatures, getNonBlockingInputFeeder, isEnabled, nextBooleanValue, nextFieldName, nextFieldName, nextIntValue, nextLongValue, nextTextValue, readBinaryValue, readValueAs, readValueAs, readValueAsTree, readValuesAs, readValuesAs, releaseBuffered, releaseBuffered, setRequestPayloadOnError, setRequestPayloadOnError, setRequestPayloadOnError`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonParserConcat

          protected JsonParserConcat(org.apache.tinkerpop.shaded.jackson.core.JsonParser[] parsers)

  - ### Method Detail

    - #### createFlattened

          public static JsonParserConcat createFlattened(org.apache.tinkerpop.shaded.jackson.core.JsonParser first,
                                                         org.apache.tinkerpop.shaded.jackson.core.JsonParser second)

    - #### nextToken

          public org.apache.tinkerpop.shaded.jackson.core.JsonToken nextToken()
                                                                       throws IOException,
                                                                              org.apache.tinkerpop.shaded.jackson.core.JsonParseException

      Overrides:
        `nextToken` in class `org.apache.tinkerpop.shaded.jackson.core.util.JsonParserSequence`
      Throws:
        `IOException`
        `org.apache.tinkerpop.shaded.jackson.core.JsonParseException`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.